Name: glade
Version: 0.6.4
Release: alt2

Summary: Gtk/gnome widget builder
License: LGPL
Group: Development/GNOME and GTK+
Url: http://glade.pn.org/

Source: http://glade.pn.org/glade-%version.tar.bz2
Source1: %{name}_icons.tar.bz2

Patch: %name-0.6.4-mdk-scrollkeeper_dtd.patch.bz2

%define libgda_ver 0.2.96

PreReq: scrollkeeper
Requires: gnome-libs-devel >= 1.0.14
Requires: libgnome-db >= 0.2.10
Requires: gtk+-devel >= 1.2.8
Requires: gettext >= 0.10.35
Requires: libgda >= %libgda_ver

BuildPreReq: libgda-devel >= %libgda_ver
BuildPreReq: libgnome-db-devel >= 0.2.95
BuildPreReq: libbonobo-devel >= 0.27

# Automatically added by buildreq on Thu Sep 26 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel imlib-devel libGConf-devel libaudiofile-devel libbonobo-devel libdb1-devel libgda-devel libgnome-db-devel libgnomeprint-devel libpopt-devel libxml-devel libxml2 libxslt oaf-devel scrollkeeper zlib-devel

%description
Glade is a Widget builder for Gtk/gnome.
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%prep
%setup -q -a1
%patch -p1

%build
%configure  --with-bonobo
%make_build

%install
export OMF_DIR=%buildroot/%_var/lib/scrollkeeper
%makeinstall
unset OMF_DIR

%__mkdir_p %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}

## menu
%__cat <<__MENU__ >%buildroot%_menudir/%name
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.xpm" section="Applications/Development/Development environments" \
title="Glade" longtitle="Gtk/gnome widget builder"
__MENU__

%__install -m644 %{name}_16.xpm %buildroot%_miconsdir/%name.xpm
%__install -m644 %{name}_32.xpm %buildroot%_iconsdir/%name.xpm
%__install -m644 %{name}_48.xpm %buildroot%_liconsdir/%name.xpm

%find_lang %name

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/glade
%_datadir/gnome/help/*
%_datadir/gnome/apps/*/*
%_datadir/omf/*
%_datadir/pixmaps/*

%_menudir/%name
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%doc AUTHORS ChangeLog NEWS README FAQ TODO doc/*.txt

%changelog
* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt2
- rebuild with gcc-3.2

* Mon Feb 04 2002 AEN <aen@logic.ru> 0.6.4-alt1
- new version

* Wed Aug 15 2001 AEN <aen@logic.ru> 0.6.2-alt5
- build cvs source with new gnome-db support

* Sun Jul 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.2-alt4.1
- added versioned dependency on libgnome-db

* Thu Jun 28 2001 AEN <aen@logic.ru> 0.6.2-alt4
- rebuild with new gnome-db
* Mon May 21 2001 AEN <aen@logic.ru> 0.6.2-alt3
- rebuild with gal-0.8
* Fri May 18 2001 AEN <aen@logic.ru> 0.6.2-alt2
- rebuild with new gtkhtml
* Tue May 15 2001 AEN <aen@logic.ru> 0.6.2-alt1
- new version
- build with bonobo
* Sat Apr 7 2001 AEN <aen@logic.ru> 0.6.0-ipl4mdk
- rebuild with new gnome-print

* Wed Mar 14 2001 AEN <aen@logic.ru> 0.6.0-ipl3mdk
- rebuild in release environment

* Wed Feb 28 2001 AEN <aen@logic.ru> 0.6.0-ipl2mdk
- rebuild with gnome-db

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.6.0-ipl1mdk
- 0.6.0

* Thu Dec 14 2000 AEN <aen@logic.ru>
- adopted for RE

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.11-1mdk
- new release

* Tue Sep 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.10-1mdk
- Up to 0.5.10

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-7mdk
- Correct icon attribut in menu file

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-6mdk
- use find_lang macro
- More Macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-5mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.9-4mdk
- _menudir
- _prefix
- bzip2 menu entry to shut up rpmlint
- remove stupid docdir: tag

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix makeinstall (Stefan van der Eijk)
- spec simplification

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-2mdk
- fix buildroot directory which conflicts with ImageMagic (cut&paste :-( )

* Wed Jun  7 2000 Vincent Saugey  <vince@mandrakesoft.com> 0.5.9-1mdk
- Up to 0.5.9
- Clean in spec file

* Sat Apr 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-8mdk
- Add requires gettext

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-7mdk
- corrected group
- add menu entry
- add a icon for nenu

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the Franch description (it is '%%description -l lang'
  and not '%%description(lang)' !)
- added an icon for the rpm

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.5.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- bzip2 source
- update Source: url

* Wed Sep 29 1999 Obiwan Kenobi <kenobi@mandrakesoft.com>
- Nothing.

* Wed Jun 23 1999 Jose Mercado <jmercado@mit.edu>
- Changed the Source variable to use %var.
- Fixed glade.desktop's path so rpm will find it.
